Bug 2149657 - CVE-2022-4139 kernel: i915: Incorrect GPU TLB flush can lead to random memory access [fedora-all]
Summary: CVE-2022-4139 kernel: i915: Incorrect GPU TLB flush can lead to random memory...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 37
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-4139
TreeView+ depends on / blocked
 
Reported: 2022-11-30 14:16 UTC by Mauro Matteo Cascella
Modified: 2022-12-05 01:52 UTC (History)
19 users (show)

Fixed In Version: kernel-6.0.11-100.fc35 kernel-6.0.11-300.fc37 kernel-6.0.11-200.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-05 01:32:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2022-11-30 14:16:28 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2147572

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Mauro Matteo Cascella 2022-11-30 14:16:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2147572,2149657

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-12-03 00:55:26 UTC
FEDORA-2022-b36cd53dca has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b36cd53dca

Comment 3 Fedora Update System 2022-12-03 00:55:38 UTC
FEDORA-2022-24041b1667 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-24041b1667

Comment 4 Fedora Update System 2022-12-03 00:55:52 UTC
FEDORA-2022-e4460c41bc has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4460c41bc

Comment 5 Fedora Update System 2022-12-04 01:43:38 UTC
FEDORA-2022-e4460c41bc has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e4460c41bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4460c41bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-12-04 02:02:48 UTC
FEDORA-2022-b36cd53dca has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b36cd53dca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b36cd53dca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-12-04 02:39:46 UTC
FEDORA-2022-24041b1667 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-24041b1667`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-24041b1667

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-12-05 01:32:52 UTC
FEDORA-2022-b36cd53dca has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-12-05 01:35:05 UTC
FEDORA-2022-e4460c41bc has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-12-05 01:52:17 UTC
FEDORA-2022-24041b1667 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.